math.randomseed(os.time())math.random()math.random()

local worley = require "worley"

function love.load()
    local noisedata = love.image.newImageData(800, 600)

    local seed = math.random()*100
    local t = love.timer.getTime()

    for y=1, 600 do
        for x=1, 800 do
            local dists = worley(x*0.01+seed, y*0.01, seed, 2)

            local val = dists[1]*2-1

            noisedata:setPixel(x-1, y-1, val*127+128, val*127+128, val*127+128, 255)
        end
    end

    -- show the amount of time it took to create the imagedata
    love.window.setTitle(("Worley Noise. Generation time: %f sec"):format(love.timer.getTime()-t))

    -- Create the resulting image
    noiseImage = love.graphics.newImage(noisedata)
end

function love.keypressed(key, isrepeat)

end

function love.update(dt) end

function love.draw()
    love.graphics.draw(noiseImage)
end